/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package animals;

/**
 *
 * @author student
 */
public class Animal implements Comparable<Animal>{//ex 2. //ex 11.
    private String name;
    private int numberOfLegs;
    private EatingHabitType eatingHabit;

    //ex 5.
    public Animal() {
        //System.out.println("Animal constructor() ");
    }

    //ex 5.
    public Animal(String name, int numberOfLegs, EatingHabitType eatingHabit) throws NameTooLongException {
        //System.out.println("Animal constructor(...) ");
        if (name.length()>100) throw new NameTooLongException(); //ex 6.
        this.name = name;
        this.numberOfLegs = numberOfLegs;
        this.eatingHabit = eatingHabit;
    }
    
    //getters and setters - ex 3.
    
    public String getName() {
        return name;
    }

    public void setName(String name) throws NameTooLongException {
        if (name.length()>100) throw new NameTooLongException(); //ex 6.
        this.name = name;
    }
    
    public void setName(){ //ex 4.
        this.name = "unknown";
    }

    public int getNumberOfLegs() {
        return numberOfLegs;
    }

    public EatingHabitType getEatingHabit() {
        return eatingHabit;
    }

    @Override //ex 7.
    public String toString() {
        String explMark="";
        if (eatingHabit.equals(EatingHabitType.CARNIVORE)) explMark="!";
        return name + " (" + numberOfLegs + " legs) - " + eatingHabit  + explMark;
    }   

    @Override
    public int compareTo(Animal a) {//ex 11.
        /*if (name.length()>a.getName().length()) return 1;
        if (name.length()<a.getName().length()) return -1;
        return 0;*/
        return name.length()-a.getName().length();
    }
}
