/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package animals;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author student
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        try {
            //ex 9.
            Animal chicken = new Animal("Chicken", 2, EatingHabitType.OMNIVORE);
            System.out.println(chicken);
            //ex 10.
            Fish tuna = new Fish("Tuna", EatingHabitType.CARNIVORE);
            System.out.println(tuna);

            Animal elephant = new Animal("Elephant", 4, EatingHabitType.HERBIVORE);
            ArrayList<Animal> list = new ArrayList<>();
            list.add(chicken);
            list.add(tuna);
            list.add(elephant);

            System.out.println(list);
            Collections.sort(list);
            System.out.println("After sorting:");//ex 12.
            for (Animal animal : list) {
                System.out.println(animal);
            }
            
            if (areSimilarAnimals(elephant, chicken)) System.out.println("Similar names");//ex 14.
            else System.out.println("Different names");

        } catch (NameTooLongException ex) {
            Logger.getLogger(Main.class.getName()).log(Level.SEVERE, null, ex);
        }

    }

    //ex 13.
    public static boolean areSimilarAnimals(Animal a1, Animal a2) {
        return a1.getName().equals(a2.getName());

    }

}
